import { Children } from 'react';
export var BASE_CLASS = "sui-MoleculeSelect";
export var CLASS_FOCUS = BASE_CLASS + "--focus";
export var CLASS_DISABLED = "is-disabled";
export var SELECT_STATES = {
  ERROR: 'error',
  SUCCESS: 'success',
  ALERT: 'alert'
};
export var ENABLED_KEYS = ['Enter', 'ArrowDown', 'ArrowUp'];
export var SELECTION_KEYS = [' ', 'Enter'];
export var getOptionData = function getOptionData(children) {
  var optionsData = {};
  Children.forEach(children, function (child) {
    var _child$props = child.props,
        children = _child$props.children,
        value = _child$props.value;
    optionsData[value] = children;
  });
  return optionsData;
};